## upower 0.99.7

=== debian/changelog ===
upower (0.99.7-2) unstable; urgency=medium

  * debian/tests/control: Add a test-dep on python3-dbus, needed for
    src/linux/integration-test as of 0.99.7.
  * debian/control: Update Vcs-* for salsa.d.o move.

 -- Iain Lane <laney@debian.org>  Tue, 30 Jan 2018 14:31:02 +0000

upower (0.99.7-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https for Vcs-Git and Homepage
  * Use https in debian/watch

  [ Martin Pitt ]
  * New upstream version 0.99.7
  * Bump Standards-Version to 4.1.2. No changes necessary.
  * Add lintian override for udev-rule-missing-subsystem.
    The file does have a SUBSYSTEM check, just in a separate rule with a
    GOTO jump.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Dec 2017 23:02:00 +0100

=== debian/control ===
Source: upower
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Martin Pitt <mpitt@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-exec,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools,
               intltool (>= 0.40.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.36),
               libglib2.0-doc,
               libgudev-1.0-dev (>= 147) [linux-any],
               libimobiledevice-dev (>= 0.9.7) [linux-any],
               libkvm-dev [kfreebsd-any],
               libusb-1.0-0-dev (>= 1.0.0) [linux-any],
               pkg-config,
               udev [linux-any],
               xsltproc,
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
Homepage: https://upower.freedesktop.org/

Package: upower
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends},
Depends: dbus,
         udev [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: policykit-1,
Description: abstraction for power management
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: upower-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Suggests: devhelp,
Description: abstraction for power management - documentation
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.

Package: libupower-glib3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: upower (>> 0.99),
Description: abstraction for power management - shared library
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains the shared library to be used by applications.

Package: libupower-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-upowerglib-1.0 (= ${binary:Version}),
         libupower-glib3 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: abstraction for power management - development files
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains files that are needed to build applications.

Package: gir1.2-upowerglib-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: GObject introspection data for upower
 upower provides an interface to enumerate power sources on the system
 and control system-wide power management. Any application can access the
 org.freedesktop.UPower service on the system message bus. Some
 operations (such as suspending the system) are restricted using PolicyKit.
 .
 This package contains introspection data for upower.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/tests/control ===
Tests: upstream-system
Depends: @, python3, python3-gi, python3-dbus, gir1.2-glib-2.0, gir1.2-umockdev-1.0, umockdev

Tests: build
Depends: libupower-glib-dev, build-essential, upower

=== debian/watch ===
version=3
https://upower.freedesktop.org/releases/upower-([0-9.]+)\.tar\.xz

## upower 0.99.8

=== debian/changelog ===
upower (0.99.8-2ubuntu0.2) cosmic; urgency=medium

  [ Iain Lane ]
  * debian/control: Update Vcs-* for Launchpad
  * gbp.conf: Set debian-tag to create ubuntu/xxx tags

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Detect AC state on pending state. (LP: #1745032)
  * debian/gbp.conf: update branch to ubuntu/cosmic

 -- Iain Lane <iain.lane@canonical.com>  Fri, 25 Jan 2019 16:23:16 +0000

upower (0.99.8-2ubuntu0.1) cosmic; urgency=medium

  * debian/patches/git_access_sys.patch:
    - Fix upower's keyboard backlight support (lp: #1796550)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Oct 2018 13:31:01 +0200

upower (0.99.8-2) unstable; urgency=medium

  * Remove PrivateNetwork=true from upower.service.
    upower needs to receive device uevents via AF_NETLINK socket otherwise
    it can't detect plug/unplug events. (Closes: #902644)

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 14:07:56 +0200

upower (0.99.8-1) unstable; urgency=medium

  * New upstream version 0.99.8
  * Update debian/watch to pull the tarballs from
    https://gitlab.freedesktop.org
  * Update symbols file for libupower-glib3
  * Switch to dh_missing to handle uninstalled files

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Jun 2018 22:45:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
                dh-exec,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
@@ -20,8 +21,8 @@
                udev [linux-any],
                xsltproc,
 Standards-Version: 4.1.2
-Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
-Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/upower -b ubuntu/cosmic
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/upower/+git/upower
 Homepage: https://upower.freedesktop.org/
 
 Package: upower

## upower 0.99.10

=== debian/changelog ===
upower (0.99.10-1) unstable; urgency=medium

  * New upstream bug fix release 0.99.10
  * Bump Standards-Version to 4.3.0. No changes necessary.
  * Drop obsolete debian/upower.lintian-overrides

 -- Martin Pitt <mpitt@debian.org>  Sun, 24 Feb 2019 07:23:30 +0000

upower (0.99.9-3) unstable; urgency=medium

  * d/p/daemon-Consider-pending-charge-when-calculating-the-displ.patch:
    - Detect AC state on pending state (LP: #1745032)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 11:35:14 +0000

upower (0.99.9-2) unstable; urgency=medium

  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/org.freedesktop.UPower.conf
    on upgrades
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 00:01:21 +0100

upower (0.99.9-1) unstable; urgency=medium

  * New upstream version 0.99.9
    - Fix lack of update after AC status changes, and broken keyboard
      backlight, following the daemon lockdown added in 0.99.8.
      (Closes: #903795)

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2018 20:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: upower
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper (>= 10.3),
@@ -20,9 +19,9 @@
                pkg-config,
                udev [linux-any],
                xsltproc,
-Standards-Version: 4.1.2
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/upower -b ubuntu/cosmic
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/upower/+git/upower
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
 Homepage: https://upower.freedesktop.org/
 
 Package: upower

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-introspection \
		--with-systemdutildir=/lib/systemd \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--libexecdir=\$${prefix}/lib/upower

override_dh_auto_build:
	dh_auto_build
	make -C po upower.pot

override_dh_auto_test:
	# test suite needs system D-BUS and thus does not work on buildds

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## upower 0.99.11

=== debian/changelog ===
upower (0.99.11-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper version to 12, switch from dh_systemd_enable to
    dh_installsystemd
  * Move the daemon to /usr/libexec now that's allowed in the policy
  * debian/libupower-glib3.symbols: Add Build-Depends-Package field
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Move libglib2.0-doc to B-D-I and mark upower-doc with
    Build-Profiles: <!nodoc>

 -- Michael Biebl <biebl@debian.org>  Sat, 16 May 2020 18:55:03 +0200

upower (0.99.11-1) unstable; urgency=medium

  * New upstream version 0.99.11
  * Move intltool → gettext build dependency.
    The new upstream release stopped using the deprecated intltool.
  * Bump Standards-Version to 4.4.0.  No changes necessary.
  * d/t/control: Add missing python3-dbusmock test dependency.
    Without this, the test just skips and does nothing.
  * Mark "build" autopkgtest as isolation-container.
    In a schroot, where the daemon is not running,
    up_client_get_daemon_version() returns NULL and the subsequent strlen()
    then crashes.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Sep 2019 07:48:09 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
-               intltool (>= 0.40.0),
+               gettext (>= 0.19.8),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-dev (>= 2.36),
-               libglib2.0-doc,
                libgudev-1.0-dev (>= 147) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libkvm-dev [kfreebsd-any],
@@ -19,7 +18,8 @@
                pkg-config,
                udev [linux-any],
                xsltproc,
-Standards-Version: 4.3.0
+Build-Depends-Indep: libglib2.0-doc <!nodoc>,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
 Homepage: https://upower.freedesktop.org/
@@ -45,6 +45,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
 Suggests: devhelp,
+Build-Profiles: <!nodoc>
 Description: abstraction for power management - documentation
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 autoreconf:
 	gtkdocize --copy
 	autopoint --force
-	AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+	autoreconf --force --install --verbose
 
 override_dh_autoreconf:
 	dh_autoreconf debian/rules -- autoreconf
@@ -16,8 +16,7 @@
 		--enable-gtk-doc \
 		--enable-introspection \
 		--with-systemdutildir=/lib/systemd \
-		--with-systemdsystemunitdir=/lib/systemd/system \
-		--libexecdir=\$${prefix}/lib/upower
+		--with-systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_build:
 	dh_auto_build
@@ -36,5 +35,5 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable
+override_dh_installsystemd:
+	dh_installsystemd --no-enable

=== debian/watch ===
version=3
https://gitlab.freedesktop.org/upower/upower/tags .*/upower-([0-9.]+)\.tar\.xz

## upower 0.99.17

=== meson_options.txt ===
option('man',
       type : 'boolean',
       value : 'true',
       description : 'Build manpages')
option('gtk-doc',
       type : 'boolean',
       value : 'true',
       description : 'Build developer documentation')
option('introspection',
       type : 'feature',
       value : 'auto',
       description : 'Build GObject Introspection data')
option('udevrulesdir',
       type : 'string',
       value: 'auto',
       description : 'Directory for udev rules')
option('historydir',
       type : 'string',
       description : 'Directory for upower history files will be stored')
option('systemdsystemunitdir',
       type : 'string',
       description : 'Directory for systemd service files ("no" to disable)')
option('os_backend',
       type : 'combo',
       choices : [ 'auto', 'linux', 'freebsd', 'openbsd', 'dummy'],
       value : 'auto',
       description : 'Directory for systemd service files')
option('idevice',
       type : 'feature',
       value : 'auto',
       description : 'Build with libimobiledevice')

=== debian/changelog ===
upower (0.99.17-1) unstable; urgency=medium

  * New upstream version 0.99.17
  * Drop patches, all applied upstream
  * Remove unnecessary version constraints

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Mar 2022 19:59:13 +0100

upower (0.99.16-2) unstable; urgency=medium

  * Cherry-pick FD handling fixes from upstream (Closes: #1006368)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:43:19 +0100

upower (0.99.16-1) unstable; urgency=medium

  * New upstream version 0.99.16
    - Silence unnecessary udev event warnings (Closes: #989512)
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2022 20:48:18 +0100

upower (0.99.15-1) unstable; urgency=medium

  * New upstream version 0.99.15
  * Drop patches, all merged upstream

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Feb 2022 18:11:55 +0100

upower (0.99.14-2) unstable; urgency=medium

  * Cherry-pick more build related fixes from upstream

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 23:12:15 +0100

upower (0.99.14-1) unstable; urgency=medium

  * New upstream version 0.99.14
  * Switch to Meson build system
  * Cherry-pick Meson fixes from upstream
  * Update symbols file for libupower-glib3
  * Drop up_exported_kbd_backlight_* symbols
  * Extend upower-doc description a bit
  * Fix upstream-system autopkgtest

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 20:47:39 +0100

upower (0.99.13-1) unstable; urgency=medium

  * New upstream version 0.99.13
  * Use DEP-14 branch names
  * Update debian/watch.
    Thanks to Ansgar Burchardt
  * Bump Build-Depends on libgudev-1.0-dev to (>= 235)
  * Drop Build-Depends on libusb-1.0-0-dev, no longer needed
  * Remove obsolete debian/upower.maintscript
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Bump Standards-Version to 4.6.0
  * Bump debhelper-compat to 13
  * Add python3-packaging to upstream-system test.
    Required by src/linux/integration-test.
  * Use https in debian/copyright
  * Set Rules-Requires-Root: no

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Aug 2021 11:03:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,23 @@
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               gobject-introspection (>= 0.9.12-4~),
+               meson (>= 0.49.0),
+               gobject-introspection,
                gtk-doc-tools,
                gettext (>= 0.19.8),
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.36),
-               libgudev-1.0-dev (>= 147) [linux-any],
+               libgirepository1.0-dev,
+               libglib2.0-dev (>= 2.56),
+               libgudev-1.0-dev (>= 235) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libkvm-dev [kfreebsd-any],
-               libusb-1.0-0-dev (>= 1.0.0) [linux-any],
                pkg-config,
                udev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
 Homepage: https://upower.freedesktop.org/
@@ -51,6 +52,8 @@
  and control system-wide power management. Any application can access the
  org.freedesktop.UPower service on the system message bus. Some
  operations (such as suspending the system) are restricted using PolicyKit.
+ .
+ This package contains the API documentation.
 
 Package: libupower-glib3
 Section: libs
@@ -59,7 +62,7 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Recommends: upower (>> 0.99),
+Recommends: upower,
 Description: abstraction for power management - shared library
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dgtk-doc=true \
		-Dintrospection=enabled \
		-Dsystemdsystemunitdir=/lib/systemd/system

override_dh_auto_test:
	# test suite needs system D-Bus and thus does not work on buildds

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/tests/control ===
Tests: upstream-system
Depends: @,
         python3,
         python3-gi,
         python3-dbus,
         python3-dbusmock,
         python3-packaging,
         gir1.2-glib-2.0,
         gir1.2-umockdev-1.0,
         umockdev

Tests: build
Depends: libupower-glib-dev,
         build-essential,
         upower
Restrictions: isolation-container

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/upower/upower/tags?sort=updated_desc archive/v@ANY_VERSION@/upower-v\d\S*@ARCHIVE_EXT@

## upower 0.99.20

=== debian/changelog ===
upower (0.99.20-2) unstable; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:24:05 +0100

upower (0.99.20-1) unstable; urgency=medium

  * New upstream version 0.99.20
  * Drop patches, applied upstream
  * Use dh-sequence-gir Build-Depends to enable the gir addon

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2022 18:39:40 +0200

upower (0.99.19-1) unstable; urgency=medium

  * New upstream version 0.99.19
  * test: Properly wait for idle handler after uevents
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jun 2022 16:24:10 +0200

upower (0.99.18-3) unstable; urgency=medium

  * test: Disable systemd v251 sysfs verification

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2022 18:49:55 +0200

upower (0.99.18-2) unstable; urgency=medium

  * Increase shutdown timeout in integration test

 -- Michael Biebl <biebl@debian.org>  Thu, 19 May 2022 17:59:52 +0200

upower (0.99.18-1) unstable; urgency=medium

  * New upstream version 0.99.18
  * Update Build-Depends on meson and libglib2.0-dev as per meson.build
  * meson: Allow unittest inspector to fail
  * Install new udev hwdb file
  * Remove wakeup symbols from libupower-glib3.symbols.
    Strictly speaking, the removal of the wakeup API constitutes an API/ABI
    break and the soname of the library should have been bumped. As upower
    appears to be the only user of that API though, it should be relatively
    safe without an explicit soname bump.
    To ensure that both upower and gir1.2-upowerglib-1.0 are upgraded along
    with libupower-glib3, add versioned Breaks against those packages to
    libupower-glib3.
  * Tighten dependency between upower and libupower-glib3.
    As the server uses internal symbols from libupower-glib, ensure that
    both packages are always upgraded in lock-step.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 May 2022 17:35:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dh-exec,
-               meson (>= 0.49.0),
+               meson (>= 0.56.0),
                gobject-introspection,
                gtk-doc-tools,
                gettext (>= 0.19.8),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.56),
+               libglib2.0-dev (>= 2.58),
                libgudev-1.0-dev (>= 235) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libkvm-dev [kfreebsd-any],
@@ -19,7 +20,7 @@
                udev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
@@ -31,9 +32,10 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: dbus,
          udev [linux-any],
+         libupower-glib3 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: policykit-1,
+Recommends: polkitd,
 Description: abstraction for power management
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the
@@ -63,6 +65,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: upower,
+Breaks: upower (<< 0.99.18),
+        gir1.2-upowerglib-1.0 (<< 0.99.18),
 Description: abstraction for power management - shared library
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## upower 1.90.2

=== meson_options.txt ===
--- 
+++ 
@@ -14,6 +14,10 @@
        type : 'string',
        value: 'auto',
        description : 'Directory for udev rules')
+option('udevhwdbdir',
+       type : 'string',
+       value: 'auto',
+       description : 'Directory for udev hwdb')
 option('historydir',
        type : 'string',
        description : 'Directory for upower history files will be stored')

=== debian/changelog ===
upower (1.90.2-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make the upower-tests package as linux-any

  [ Michael Biebl ]
  * Switch debian-branch to debian/master
  * Exclude .device files in /usr/libexec/upower/tests/ from dh_fixperms
  * Add python3 Depends to upower-tests
  * Upload to unstable (Closes: #1042914)

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Aug 2023 14:24:33 +0200

upower (1.90.2-3) experimental; urgency=medium

  [ Pino Toscano ]
  * Make it build again on non-Linux architectures:
    - backport upstream commit 029651a96dfc8e8e1dc6eca79bd3bf23d3aeb5ce to
      install the udev files only on Linux
    - d/rules: tweak the meson parameters to install the systemd files only
      on Linux
    - d/upower.install: restrict the systemd files only to Linux

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jul 2023 19:39:42 +0200

upower (1.90.2-2) experimental; urgency=medium

  * Bump Build-Depends on libgudev-1.0-dev to (>= 238) (Closes: #1040642)
  * Add new upower-tests package.
    Update autopkgtest to use upower-tests for the integration test.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jul 2023 20:44:42 +0200

upower (1.90.2-1) experimental; urgency=medium

  * New upstream version 1.90.2
  * Drop patches, merged upstream

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jul 2023 15:14:44 +0200

upower (1.90.1-1) experimental; urgency=medium

  * New upstream version 1.90.1
  * Use patch-numbers=False for gbp-pq
  * linux: Fix integration test to work with system installed upower binary

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jul 2023 17:50:42 +0200

upower (1.90.0-2) experimental; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:28:24 +0100

upower (1.90.0-1) experimental; urgency=medium

  * New upstream version 1.90.0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2022 20:35:58 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
                gettext (>= 0.19.8),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.58),
-               libgudev-1.0-dev (>= 235) [linux-any],
+               libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libkvm-dev [kfreebsd-any],
                pkg-config,
                udev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
@@ -56,6 +56,22 @@
  operations (such as suspending the system) are restricted using PolicyKit.
  .
  This package contains the API documentation.
+
+Package: upower-tests
+Architecture: linux-any
+Depends: upower,
+         libupower-glib3 (= ${binary:Version}),
+         python3,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: gnome-desktop-testing,
+Description: abstraction for power management - test infrastructure
+ upower provides an interface to enumerate power sources on the system
+ and control system-wide power management. Any application can access the
+ org.freedesktop.UPower service on the system message bus. Some
+ operations (such as suspending the system) are restricted using PolicyKit.
+ .
+ This package contains installed test programs.
 
 Package: libupower-glib3
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifeq (linux,$(DEB_HOST_ARCH_OS))
EXTRA_MESON_ARGS += -Dsystemdsystemunitdir=/lib/systemd/system
else
EXTRA_MESON_ARGS += -Dsystemdsystemunitdir=no
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dgtk-doc=true \
		-Dintrospection=enabled \
		$(EXTRA_MESON_ARGS)

override_dh_auto_test:
	# test suite needs system D-Bus and thus does not work on buildds

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_installsystemd:
	dh_installsystemd --no-enable

override_dh_fixperms:
	dh_fixperms -Xusr/libexec/upower/tests

=== debian/tests/control ===
Tests: installed-tests
Depends: upower-tests,
         python3-dbus,
         python3-packaging,
         python3-dbusmock,
         gir1.2-upowerglib-1.0,
         gir1.2-umockdev-1.0,
         umockdev,
         gnome-desktop-testing
Restrictions: allow-stderr

Tests: build
Depends: libupower-glib-dev,
         build-essential,
         upower
Restrictions: isolation-container

## upower 1.90.3

=== debian/changelog ===
upower (1.90.3-1) unstable; urgency=medium

  * New upstream version 1.90.3
  * Drop patches, merged upstream
  * Bump Build-Depends on meson to (>= 0.60.0) and libglib2.0-dev to (>= 2.66)
    as per meson.build
  * Switch Build-Depends on pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Apr 2024 09:42:45 +0200

upower (1.90.2-8) unstable; urgency=medium

  * Adjust test_bluetooth_le_device for dbusmock 0.30.1.
    Patch taken from upstream master. (Closes: #1059467)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Dec 2023 06:59:41 +0100

upower (1.90.2-7) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc, which is used to get
    udevrulesdir and udevhwdbdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:31:32 +0100

upower (1.90.2-6) unstable; urgency=medium

  * Move systemd services files and udev rules/hwdb files to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:24:44 +0200

upower (1.90.2-5) unstable; urgency=medium

  * Remove __pycache__ directories in 'clean' target via debian/clean.
    (Closes: #1048444)
  * Ignore autopkgtest failure on i386.
    This is a workaround until #1050436 has been addressed properly to allow
    migration to testing.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Sep 2023 11:30:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                dh-sequence-gir,
                dh-exec,
-               meson (>= 0.56.0),
+               meson (>= 0.60.0),
                gobject-introspection,
                gtk-doc-tools,
                gettext (>= 0.19.8),
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.58),
+               libglib2.0-dev (>= 2.66),
                libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libkvm-dev [kfreebsd-any],
-               pkg-config,
-               udev [linux-any],
+               pkgconf,
+               systemd-dev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,10 @@
 include /usr/share/dpkg/architecture.mk
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-EXTRA_MESON_ARGS += -Dsystemdsystemunitdir=/lib/systemd/system
+EXTRA_MESON_ARGS += \
+	-Dsystemdsystemunitdir=/usr/lib/systemd/system \
+	-Dudevrulesdir=/usr/lib/udev/rules.d \
+	-Dudevhwdbdir=/usr/lib/udev/hwdb.d
 else
 EXTRA_MESON_ARGS += -Dsystemdsystemunitdir=no
 endif

## upower 1.90.5

=== meson_options.txt ===
--- 
+++ 
@@ -21,6 +21,9 @@
 option('historydir',
        type : 'string',
        description : 'Directory for upower history files will be stored')
+option('statedir',
+       type : 'string',
+       description : 'Directory for upower status files will be stored')
 option('systemdsystemunitdir',
        type : 'string',
        description : 'Directory for systemd service files ("no" to disable)')
@@ -33,3 +36,7 @@
        type : 'feature',
        value : 'auto',
        description : 'Build with libimobiledevice')
+option('polkit',
+       type: 'feature',
+       value: 'auto',
+       description: 'PolKit support in daemon')

=== debian/changelog ===
upower (1.90.5-1) unstable; urgency=medium

  * New upstream version 1.90.5
  * Rebase patches
  * Update symbols for libupower-glib3.
    Add new up_exported symbols but mark them as optional, as they are not
    public API.
  * Add ${gir:Depends} and ${gir:Provides} to libupower-glib-dev
  * Add Build-Depends on gir1.2-gobject-2.0-dev and gir1.2-gio-2.0-dev as
    suggested by dh_girepository
  * Request standard Salsa-CI but disable test-crossbuild-arm64

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Aug 2024 17:18:24 +0200

upower (1.90.4-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Update debian/watch

  [ Michael Biebl ]
  * New upstream version 1.90.4
  * Fix possible race condition in test_bluetooth_hidpp_mouse
    (Closes: #1069789)

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Aug 2024 21:10:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                dh-exec,
                meson (>= 0.60.0),
                gobject-introspection,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gio-2.0-dev,
                gtk-doc-tools,
                gettext (>= 0.19.8),
                libgirepository1.0-dev,
@@ -101,6 +103,8 @@
          libglib2.0-dev,
          ${misc:Depends},
          ${shlibs:Depends},
+         ${gir:Depends},
+Provides: ${gir:Provides}
 Description: abstraction for power management - development files
  upower provides an interface to enumerate power sources on the system
  and control system-wide power management. Any application can access the

## upower 1.90.6

=== debian/changelog ===
upower (1.90.6-2) unstable; urgency=medium

  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.
  * Fix race condition in test_sibling_priority_no_overwrite.
    Patch cherry-picked from upstream Git. (Closes: #1072748)

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 00:55:12 +0200

upower (1.90.6-1) unstable; urgency=medium

  * New upstream version 1.90.6
  * Rebase patches
  * Enable polkit support.
    Setting the battery charging threshold utilizes polkit.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Sep 2024 13:45:09 +0200

## upower 1.90.7

=== debian/changelog ===
upower (1.90.7-1build1) plucky; urgency=medium

  * Rebuild against latest libimobiledevice

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 15:17:05 -0500

upower (1.90.7-1) unstable; urgency=medium

  * New upstream version 1.90.7
  * Rebase patches
  * Install new zsh completions

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jan 2025 12:32:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                libglib2.0-dev (>= 2.66),
                libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
+               libpolkit-gobject-1-dev,
                libkvm-dev [kfreebsd-any],
                pkgconf,
                systemd-dev [linux-any],
@@ -33,7 +34,7 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends},
-Depends: dbus,
+Depends: default-dbus-system-bus | dbus-system-bus,
          udev [linux-any],
          libupower-glib3 (= ${binary:Version}),
          ${misc:Depends},
@@ -101,6 +102,7 @@
 Depends: gir1.2-upowerglib-1.0 (= ${binary:Version}),
          libupower-glib3 (= ${binary:Version}),
          libglib2.0-dev,
+         libpolkit-gobject-1-dev,
          ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends},

## upower 1.90.9

=== debian/changelog ===
upower (1.90.9-5) unstable; urgency=medium

  * test_bluetooth_hidpp_mouse: start upower and bluez after the setup of the
    udev device properties

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Aug 2025 13:56:49 +0200

upower (1.90.9-4) unstable; urgency=medium

  * Add a few more delays to see if this mitigates test failures on
    slower/loaded systems

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Aug 2025 15:27:13 +0200

upower (1.90.9-3) unstable; urgency=medium

  * Another attempt fixing random test failures for test_bluetooth_hidpp_mouse

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Jul 2025 17:21:04 +0200

upower (1.90.9-2) unstable; urgency=medium

  * autopkgtest: Increase timeout from 300 to 900 secs (Closes: #1109990)

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Jul 2025 22:59:20 +0200

upower (1.90.9-1) unstable; urgency=medium

  * New upstream version 1.90.9

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Apr 2025 20:14:42 +0200

upower (1.90.8-1) unstable; urgency=medium

  * New upstream version 1.90.8
  * Drop patches, merged upstream
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Mon, 31 Mar 2025 16:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                systemd-dev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/

## upower 1.90.10

=== meson_options.txt ===
--- 
+++ 
@@ -40,3 +40,7 @@
        type: 'feature',
        value: 'auto',
        description: 'PolKit support in daemon')
+option('zshcompletiondir',
+       type: 'string',
+       value: '',
+       description: 'Directory for zsh completion scripts ["no" disables]')

=== debian/changelog ===
upower (1.90.10-1) unstable; urgency=medium

  * New upstream version 1.90.10
  * Drop patches, all merged upstream
  * Update symbols file for libupower-glib3

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Aug 2025 12:35:14 +0200

upower (1.90.9-7) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14
  * Drop Build-Depends on libgirepository1.0-dev

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 20:10:51 +0200

upower (1.90.9-6) unstable; urgency=medium

  * autopkgtest: fix comparison of floating point values in upstream
    integration test.
    This should fix the test suite failures on i386 due to excessive
    precision. So make failures fatal again for i386. (Closes: #1050436)

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2025 21:01:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                dh-sequence-gir,
                dh-exec,
                meson (>= 0.60.0),
-               gobject-introspection,
+               gobject-introspection (>= 1.80),
                gir1.2-gobject-2.0-dev,
                gir1.2-gio-2.0-dev,
                gtk-doc-tools,
                gettext (>= 0.19.8),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.66),
                libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
@@ -99,8 +98,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-upowerglib-1.0 (= ${binary:Version}),
-         libupower-glib3 (= ${binary:Version}),
+Depends: libupower-glib3 (= ${binary:Version}),
          libglib2.0-dev,
          libpolkit-gobject-1-dev,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 		-Dman=true \
 		-Dgtk-doc=true \
 		-Dintrospection=enabled \
+		-Dpolkit=enabled \
 		$(EXTRA_MESON_ARGS)
 
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
          gir1.2-upowerglib-1.0,
          gir1.2-umockdev-1.0,
          umockdev,
+         polkitd,
          gnome-desktop-testing
-Restrictions: allow-stderr
+Restrictions: allow-stderr, skippable
 
 Tests: build
 Depends: libupower-glib-dev,

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/@PACKAGE@/@PACKAGE@/tags?sort=updated_desc \
 -/archive/v[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## upower 1.91.0

=== debian/changelog ===
upower (1.91.0-1) unstable; urgency=medium

  * New upstream version 1.91.0
  * Bump Build-Depends on libglib2.0-dev to (>= 2.76) as per meson.build
  * Update symbols file for libupower-glib3
  * Install new etc/UPower/UPower.conf.d/README.md
  * Drop Rules-Requires-Root: no.
    It is no longer necessary as "no" is the new default.

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Nov 2025 23:00:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gir1.2-gio-2.0-dev,
                gtk-doc-tools,
                gettext (>= 0.19.8),
-               libglib2.0-dev (>= 2.66),
+               libglib2.0-dev (>= 2.76),
                libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libpolkit-gobject-1-dev,
@@ -24,7 +24,6 @@
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
 Homepage: https://upower.freedesktop.org/

## upower 1.91.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 option('man',
        type : 'boolean',
-       value : 'true',
+       value : true,
        description : 'Build manpages')
 option('gtk-doc',
        type : 'boolean',
-       value : 'true',
+       value : true,
        description : 'Build developer documentation')
 option('introspection',
        type : 'feature',
@@ -44,3 +44,7 @@
        type: 'string',
        value: '',
        description: 'Directory for zsh completion scripts ["no" disables]')
+option('installed_tests',
+       type : 'boolean',
+       value : true,
+       description : 'Install integration tests')

=== debian/changelog ===
upower (1.91.1-1) unstable; urgency=medium

  * New upstream version 1.91.1
  * Drop redundant Priority field
  * Bump Standards-Version to 4.7.3
  * Remove devhelp Suggests.
    As recommended by the Debian GNOME team.
  * Drop libkvm-dev [kfreebsd-any] Build-Depends.
    The kfreebsd port has been discontinued in 2023.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Feb 2026 16:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: upower
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Martin Pitt <mpitt@debian.org>,
@@ -18,12 +17,11 @@
                libgudev-1.0-dev (>= 238) [linux-any],
                libimobiledevice-dev (>= 0.9.7) [linux-any],
                libpolkit-gobject-1-dev,
-               libkvm-dev [kfreebsd-any],
                pkgconf,
                systemd-dev [linux-any],
                xsltproc,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/utopia-team/upower.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/upower/
 Homepage: https://upower.freedesktop.org/
@@ -49,7 +47,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Suggests: devhelp,
 Build-Profiles: <!nodoc>
 Description: abstraction for power management - documentation
  upower provides an interface to enumerate power sources on the system
